/*! @author Huan Luo <dukeluo@outlook.com> (https://shaiwang.life) */
import * as eslint from 'eslint';

declare namespace plugin {
    export namespace meta {
        let name: string;
        let version: string;
    }
    export { rules };
    export let processors: {
        'eslint-processor-check-file': {
            preprocess(_: any, filename: any): {
                text: string;
                filename: any;
            }[];
            postprocess(messages: any): any[];
            supportsAutofix: boolean;
        };
    };
}
declare const rules: {
    'filename-blocklist': eslint.Rule.RuleModule;
    'filename-naming-convention': eslint.Rule.RuleModule;
    'folder-match-with-fex': eslint.Rule.RuleModule;
    'folder-naming-convention': eslint.Rule.RuleModule;
    'no-index': eslint.Rule.RuleModule;
};

export { plugin as default };
